Bug 217529 - Assertion violation in dwarf2 output.
Assertion violation in dwarf2 output.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-28 09:29 EST by David E Resnick
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-13 10:42:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed cc source file form glibc-2.4 nis/nis_call.c (261.99 KB, text/plain)
2006-11-28 09:29 EST, David E Resnick
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 30189 None None None Never

  None (edit)
Description David E Resnick 2006-11-28 09:29:36 EST
Description of problem:
/usr/bin/gcc -V4.0 -Dva_copy=__va_copy -I/edgsrc/edg/release_3.8/cinclude -c
-std=gnu99 -O -Wall -Winline -Wwrite-strings -fmerge-all-constants -g
-Wstrict-prototypes nis_call.int.c
rcc: diagnostics generated from compilation of nis_call.int.c:
nis_call.c: In function ‘first_shoot’:
nis_call.c:526: internal compiler error: in modified_type_die, at dwarf2out.c:8463

Version-Release number of selected component (if applicable):
der<1040>:gcc -V4.0 --version
x86_64-redhat-linux-gcc-4.0 (GCC) 4.1.0 20060515 (Red Hat 4.1.0-18)


How reproducible: Just compile the attached file.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David E Resnick 2006-11-28 09:29:36 EST
Created attachment 142288 [details]
Preprocessed cc source file form glibc-2.4 nis/nis_call.c
Comment 2 Jakub Jelinek 2006-12-12 12:50:23 EST
Simplified testcase:
/* { dg-do compile } */
/* { dg-options "-g -O" } */
extern void foo (void);

static
void baz (int i)
{
  foo ();
  typedef char A[i];
  struct { A b; } *x = 0;
}

void
bar (i)
{
  baz (i);
}
Comment 3 Jakub Jelinek 2006-12-13 10:42:49 EST
Tracking upstream.

Note You need to log in before you can comment on or make changes to this bug.